Is 1Password 3.9 Compatible with OS X Mavericks?

Thinking of upgrading my OS X.

Comments

  • MeganMegan 1Password Alumni

    Hi @jmdavis5633,

    1Password 3.8 (the version available from our website) is compatible with Mavericks.

    1Password 3.9 (the version available from the Mac App Store) is not Mavericks-compatible. The good news is though, that 1Password 4 is a free upgrade for all 1Password 3 owners who purchased via the Mac App Store :)

    If you would prefer to continue to use 1Password 3 with Mavericks instead of upgrading to 1Password 4, please let us know - you can download version 3.8 here, and we can arrange to have you set up with a license from our website.

  • Sorry Megan, but 1Password 3.8 stopped to work after upgrade to Mavericks.

  • MeganMegan 1Password Alumni

    Hi @underscore,

    I'm really sorry to hear that! If you're willing to provide a few more details about your situation, I'd be happy to help you get back up and running again :)

  • Hi,

    Anyone can confirm that 1Password 3.8 (website) is compatible with Mavericks, Or not compatible?

    I'm using Version 3.8.21 (build 32009) and going to upgrade to Mavericks.

    Thanks!

  • Hi Megan - the standalone version is running fine but the Safari plugin cannot connect anymore - see screenshot at wjst.de/tmp.jpg - thanks.

  • MeganMegan 1Password Alumni

    Hi @IamJay,

    As stated above, 1Password 3.8 is Mavericks compatible. It looks like we might be seeing an issue with the Safari plugin, but we're working to get that sorted out asap. :)

    @underscore,

    We're looking to track down just why this is happening. Could you please send us a Diagnostics Report?

    Using your browser please download a small standalone tool from us that will run a networked copy of our diagnostics tool.

    http://i.agilebits.com/ms/tools/1Password_diagnostics.zip

    After the download is complete, use Finder to locate it. It should be in your downloads folder. If the file ends in .zip then your browser has not already unzipped it. Please double click it to expand it.

    The expanded file will have a "Unix Executable File" named 1Password_diagnostics. Double-clicking this will cause a Terminal window to open and download some files it needs. (Note: If you use OS X Lion or Mountain Lion, you may need to right click the file, choose Open, and click Open on the dialog).

    Once it completes it should open a window in your browser with the results. Please click File->Save As to save this file to your computer. Please save it as "Page Source" or "HTML" if there are options for this.

    Then attach the entire file to an email to us: [email protected] agilebits .com

    If you do not get a report created, please copy and paste the output from the Terminal window so we can take a look at the errors that were created. This will help us figure out where the problem is in creating the diagnostics report.

    Please do not post your Diagnostics Report in the forums, but please do include a link to this thread in your email so that we can "connect the dots" when we see your Diagnostics Report in our inbox.

    Once we see the report we should be able to better assist you. Thanks in advance!

  • Sorry, can't mail you such a detailed report as we have restrictions here in Europe regarding data safety.
    What I can tell you - the Chrome plugin is working but not the Safari plugin:

    1Password Version: 3.8.21 (build #32009)
    Mac OS X Version: 10.9 (13A603)
    Safari Version: 7.0
    Build 9537.71 is not supported by built-in extensions. Build number must be between 6533.0 and 6534.0.

  • MeganMegan 1Password Alumni

    Hi @underscore,

    First of all, I would like to assure you that the Diagnostic Report doesn't include any personal information - it merely provides us with a snapshot of your computer's ecosystem at the time of the Report. It can be very helpful in tracking down issues. That being said, we certainly don't require you to send it in if you do not feel comfortable doing so.

    To repair permissions we've written a small script to facilitate the process. You can download it from here:

    http://i.agilebits.com/kyle/tools/reset_folder_permissions.zip

    Once the download completes, please unzip the file if it is not done so automatically by your web browser (double click the .zip file). Once it is unzipped all you need to do is double click the "reset_folder_permissions" file and a Terminal window will open.

    Inside the terminal window it will ask you for your Mac OS User Account password. Please note that when you type your password it will not appear as though it is being typed. This is normal. Just carefully type your password and press the enter key.

    Please let me know if this helps Safari behave a bit better for you :)

  • Hi Megan, you say that v3.9 is an app store version, and that an upgrade to v4 is free. I'm running 3.9.19.90, and I don't think I installed from app store (but I don't remember). But I definitely have no option to upgrade to 4 for free. Am I doing something wrong?

  • Hi Megan,

    thanks for the repair script. It says

    The domain/default pair of (com.agilebits.onepassword-osx-helper, DatabasePath) does not exist
    Fixing: /Users/...Documents/Daten/System/1Password.agilekeychain
    Repairing: ~/Library/Safari/

    but the problems persists, that the 1Password Safari plugin does not work anymore after upgrading to Mavericks.

  • MeganMegan 1Password Alumni

    Hi @typerlc,

    Are you currently using OS X Mavericks? If your computer is restricted to a lower OS, 1Password 4 may not be compatible with your operating system. If you are on Mavericks though, please log in to the Mac App Store to check for updates. (Be sure to use the same AppleID as you made the original purchase ... or check each ID if you have more than one!)

    Hi @underscore,

    It looks like your screenshot matches the screenshot in this article: http://discussions.agilebits.com/discussion/17249/problem-with-database-in-v3-extension-in-safari-on-os-x-mavericks#latest Please let me know if this fixes things for you :)

  • Hi Megan, that helped! You saved my day!!

  • MeganMegan 1Password Alumni

    I love it when I get to do that :)
    Thanks for letting me know that you are (finally) sorted out - and extra thanks for your patience!

  • Thanks for your feedback Megan. I am on Mavericks, and only have 1 Apple account. And 4 doesn't show up as free for me. Somehow I've got v3.9 without getting it from the App store. Is that possible?

  • MeganMegan 1Password Alumni

    Hi @typerlc,

    That is a bit strange. I just want to confirm that you are talking about the version of 1Password, and not the version of the 1Password extension. (I know, it's a long shot.) It also might not hurt to dig up the receipt for your original purchase and confirm that it was sent to the same email address that you are using for your AppleID.

    If you do have 1Password 3.9 installed with your current AppleID, then unfortunately you will need to contact Apple to find out why you are not able to get the upgrade automatically.

  • Hi Megan. You mentioned above that 1Password 4 is a free upgrade to purchasers of 1Password 3 who purchased through Apple. What about those of us (long time loyal customers) who purchased directly through AgileBits? And if it is also a free upgrade for us, how do we register?

  • MeganMegan 1Password Alumni

    Hi @katiek720,

    We very much appreciate our loyal customers who purchased directly from the AgileBits website!

    Our original plan was to give 1Password 4 for Mac to all customers who purchased 1Password 3 for Mac in 2013. Unfortunately, the Mac App Store does not provide us a way to give the discount to only some users, so we made the decision to make the upgrade free to all Mac App Store customers, to be more generous. (It seemed like a better option than giving no Mac App Store customers a free upgrade.)

    We do have some great upgrade pricing in effect for users who purchased 1Password 3 for Mac prior to 2013. Simply head over to our Upgrade Store and enter your license number in the top field to see the discount that you qualify for!

    If you have any further questions, I'd be happy to help :)

This discussion has been closed.